/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.imode;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

import jp.sourceforge.livez.dao.ImodeFrame;

/**
 * Frame を実装したクラスです。
 * 
 * @author 杉澤 浩二
 */
final class FrameImpl implements Frame {

	private static final long serialVersionUID = 1L;

	/**
	 * コンストラクタです。
	 * 
	 * @param frame
	 */
	public FrameImpl(final ImodeFrame frame) {
		this.width	= frame.getWidth();
		this.height	= frame.getHeight();
	}

	/**
	 * 幅を保持します。
	 */
	private int width;

	/*
	 * @see jp.sourceforge.livez.imode.Frame#getWidth()
	 */
	public int getWidth() {
		return width;
	}

	/**
	 * 高さを保持します。
	 */
	private int height;

	/*
	 * @see jp.sourceforge.livez.imode.Frame#getHeight()
	 */
	public int getHeight() {
		return height;
	}

	@Override
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}

	@Override
	public boolean equals(final Object obj) {
		return EqualsBuilder.reflectionEquals(this, obj);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}

}
